### Method

# Adw HeaderBarset_title_widget

#### Declaration [src]

    void
    adw_header_bar_set_title_widget (
      AdwHeaderBar* self,
      GtkWidget* title_widget
    )

#### Description [src]

Sets the title widget for `self`.

When set to `NULL`, the header bar will display the title of the window it is contained in.

To use a different title, use `AdwWindowTitle`:

    <object class="AdwHeaderBar">
      <property name="title-widget">
        <object class="AdwWindowTitle">
          <property name="title" translatable="yes">Title</property>
        </object>
      </property>
    </object>

Sets property | `Adw.HeaderBar:title-widget`

#### Parameters

`title_widget`

  Type: `GtkWidget`

  A widget to use for a title.

  The argument can be `NULL`.
  The data is owned by the caller of the method.